%define name ogmrip
%define version 0.11.2
%define rel 2
%define release %mkrel %rel
%define distsuffix plf
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define mplayerver 1.0-1.rc1

Summary: Graphical DVD ripper
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/ogmrip/%{name}-%{version}.tar.gz
Patch: ogmrip-0.10.0-rc1-no-werror.patch.bz2
Patch1: ogmrip-0.11.0-new-sg.patch
Patch2: ogmrip-0.11.0-desktopentry.patch
License: LGPL
Group: Video
Url: http://ogmrip.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libdvdread-devel
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel >= 2.5
BuildRequires: libhal-devel dbus-glib-devel
BuildRequires: libenca-devel
BuildRequires: gtk-doc
BuildRequires: mencoder >= %mplayerver
BuildRequires: ogmtools
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libnotify-devel
BuildRequires: vorbis-tools
BuildRequires: lame
BuildRequires: faac
BuildRequires: mkvtoolnix
#gw spell checker
#only needed with gocr
BuildRequires: enchant-devel
BuildRequires: gocr
BuildRequires: intltool
BuildRequires: ImageMagick
BuildRequires: automake1.8
BuildRequires: desktop-file-utils
Requires: mencoder >= %mplayerver
Requires: ogmtools
Requires: vorbis-tools
Requires: lame
Requires: mkvtoolnix
Requires: gocr
#gw for srttool
Requires: subtitleripper

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

OGMRip:
* outputs ogm, avi or matroska files
* provides a lot of codecs (ogg vorbis, mp3, pcm, ac3, xvid, lavc)
* calculates video bitrate for a given filesize
* calculates cropping parameters and scaling factors
* uses maximum quality codec switches
* supports subtitles extraction
* rips contiguous chapters
* features a HIG-compliant GNOME 2 user interface

This package is in PLF as it depends on lame.

%package -n %libname
Summary: DVD ripping libraries from %name
Group: System/Libraries

%description -n %libname
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the set of libraries.

This package is in PLF as it depends on lame.
%package -n %develname
Summary: DVD ripping libraries from %name
Group: Development/C
Requires: %libname = %version
Provides: libogmrip-devel = %version-%release
Obsoletes: %mklibname -d %name 0

%description -n %develname
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the development parts of these libraries.

This package is in PLF as it depends on lame.
%prep
%setup -q -n %name-%version
%patch -p1
%patch1 -p1
%patch2 -p1
aclocal-1.8
autoconf
automake-1.8

%build
%configure2_5x --with-mplayer-version=1.0rc2
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot%_libdir/{lib*.a,ogmrip/*/*.a}
#gw this is in subtitleripper
rm -f %buildroot%_bindir/srttool
#gw bad locale
rm -f %buildroot%_datadir/locale/en/LC_MESSAGES/ogmrip.mo
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Video" \
	icon="%name.png" \
	title="OGMRip DVD Encoder" \
	longtitle="A DVD Encoder for GNOME" \
	startup_notify="true" xdg="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot/%_liconsdir/
convert -scale 32 data/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 16 data/%name.png %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%{update_menus}

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog TODO AUTHORS
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_bindir/srtutil
%_bindir/subp2pgm
%_bindir/dvdcpy
%_bindir/theoraenc
%dir %_libdir/ogmrip
%dir %_libdir/ogmrip/audio-codecs
%_libdir/ogmrip/*/*.la
%_libdir/ogmrip/audio-codecs/libogmrip-aac.so
%_libdir/ogmrip/audio-codecs/libogmrip-acopy.so
%_libdir/ogmrip/audio-codecs/libogmrip-mp3.so
%_libdir/ogmrip/audio-codecs/libogmrip-vorbis.so
%_libdir/ogmrip/audio-codecs/libogmrip-wav.so
%dir %_libdir/ogmrip/containers
%_libdir/ogmrip/containers/libogmrip-avi.so
%_libdir/ogmrip/containers/libogmrip-mkv.so
%_libdir/ogmrip/containers/libogmrip-mov.so
%_libdir/ogmrip/containers/libogmrip-mp4.so
%_libdir/ogmrip/containers/libogmrip-ogg.so
%dir %_libdir/ogmrip/subp-codecs
%_libdir/ogmrip/subp-codecs/libogmrip-srt.so
%_libdir/ogmrip/subp-codecs/libogmrip-vobsub.so
%dir %_libdir/ogmrip/video-codecs
%_libdir/ogmrip/video-codecs/libogmrip-lavc.so
%_libdir/ogmrip/video-codecs/libogmrip-theora.so
%_libdir/ogmrip/video-codecs/libogmrip-x264.so
%_libdir/ogmrip/video-codecs/libogmrip-xvid.so
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png
%_mandir/man1/*.1*
%_menudir/%name
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_includedir/%name
%_includedir/ogmdvd/
%_includedir/ogmjob/
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*.la
%_libdir/pkgconfig/ogmdvd.pc
%_libdir/pkgconfig/ogmdvd-gtk.pc
%_libdir/pkgconfig/ogmjob.pc
%_libdir/pkgconfig/ogmrip.pc
%_libdir/pkgconfig/ogmrip-gtk.pc
%_datadir/gtk-doc/html/*

%changelog
* Mon Oct 13 2008 Gtz Waschk <goetz@zarb.org> 0.11.2-2plf2008.1
- fix mplayer version check

* Sat Dec 22 2007 Gtz Waschk <goetz@zarb.org> 0.11.2-1plf2008.1
- new version

* Sun Oct 21 2007 Gtz Waschk <goetz@zarb.org> 0.11.1-1plf2008.1
- new version

* Mon Oct  1 2007 Gtz Waschk <goetz@zarb.org> 0.11.0-1plf2008.0
- new devel name
- update file list
- fix desktop entry
- fix build with current sg header
- fix buildrequires
- new version

* Mon Mar 12 2007 Gtz Waschk <goetz@zarb.org> 0.10.3-1plf2007.1
- update file list
- new version

* Sun Feb  4 2007 Gtz Waschk <goetz@zarb.org> 0.10.2-1plf2007.1
- new version

* Sun Jan 28 2007 Gtz Waschk <goetz@zarb.org> 0.10.1-1plf2007.1
- more macros
- bump deps
- new version

* Mon Oct 23 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-2plf2007.1
- fix buildrequires

* Mon Oct 23 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-1plf2007.1
- new version

* Tue Oct 10 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc4.1plf2007.1
- fix description
- new version

* Wed Aug 30 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc3.2plf2007.0
- fix buildrequires

* Sun Aug 20 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc3.1plf2007.0
- new version

* Thu Jul 13 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc2.2plf2007.0
- fix buildrequires

* Wed Jul  5 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc2.1plf2007.0
- new version

* Mon Jun 26 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc1.1plf2007.0
- update file list
- xdg menu
- update the patch
- new version

* Thu Oct 27 2005 Götz Waschk <goetz@zarb.org> 0.9.0-2plf
- rebuild for new hal

* Wed Jun 29 2005 Gtz Waschk <goetz@zarb.org> 0.9.0-1plf
- update file list
- update deps
- patch to disable -Werror
- New release 0.9.0

* Wed May  4 2005 Gtz Waschk <goetz@zarb.org> 0.8.2-1plf
- drop werror patch
- New release 0.8.2

* Thu Apr 21 2005 Gtz Waschk <goetz@zarb.org> 0.8.1-1plf
- fix buildrequires
- drop patch 1
- New release 0.8.1

* Tue Apr 19 2005 Gtz Waschk <goetz@zarb.org> 0.8.0-1plf
- bump deps
- patch to fix sed detection
- mkrel
- New release 0.8.0

* Thu Mar 03 2005 Götz Waschk <goetz@zarb.org> 0.7.1-1plf
- New release 0.7.1

* Wed Feb 23 2005 Gtz Waschk <goetz@zarb.org> 0.7.0-1plf
- fix build
- New release 0.7.0

* Thu Jan  6 2005 Gtz Waschk <goetz@zarb.org> 0.6.2-1plf
- New release 0.6.2

* Wed Jan  5 2005 Gtz Waschk <goetz@zarb.org> 0.6.1-1plf
- initial package
